[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.DoEnter

Signals the OnEnter event handler, and selects the entire text when AutoSelect is True.

## Declaration

Source position: stdctrls.pp line 806

`protected procedure TCustomEdit.DoEnter; override;`

## Description

This special handling is required when the control is entered using keystrokes (keyboard navigation), and not by a mouse click.

## See also

TWinControl.DoEnter |  | Signals the OnEnter event handler (when assigned) when the control receives focus.